---
title: Recreation at Scott's Mill
hero_h1: Recreation
hero_img: img/sm_clubhouse_porch.jpg
hero_alt: Some rocking chairs on the clubhouse porch
---
	{{>hero}}

	<section>
		<h2>Recreation Center</h2>
		<p>The fee for residents of The Green and New Heritage to join the Recreation Center is $400.00 for the May 1, 2017 to April 30, 2018 season.  There is no initiation fee.  Residents of The Green who wish to join the Recreation Center may <a href="/pdf/SM Pool Registration Form 2017.pdf">download an application </a> or request one from Omega Management (919) 461-0102 or email Jessica@omegamgmt.com.  Completed forms need to be submitted to the Omega Management office at 160 NE Maynard Road, Suite 210, Cary, NC 27513.  The Green and New Heritage residents who wish to renew their membership must complete and submit the application as well.  Please read the <a href="/pdf/TG Pool Renewal Notice 4-17.pdf">renewal letter</a> for all the important information regarding the pool membership process. Additionally, residents wishing to host pool parties must submit the pool party form found <a href="http://www.scottsmill.com/pdf/SM Pool Party Agreement 2016.pdf">here</a>.</p>
	</section>

	<section>
		<h2>Clubhouse</h2>
		<p>The Clubhouse is available for renting by members of the Recreation Center. Reservations are made on a first-come, first-served basis. If you are interested in renting the Clubhouse, you can check Clubhouse availability using the <a href="/calendar.html">Clubhouse Reservation Calendar</a>. If the Clubhouse shows availability on the calendar, contact Omega Management to secure your reservation. Omega (919) 461-0102 keeps the official reservation calendar, so call to ensure the date on the website calendar is still available. Copies of the Clubhouse Rental Guidelines, Clubhouse Cleaning Checklist, and Clubhouse Rental Reservation Contract are available or can be downloaded from the links below:</p>
		<ul>
			<li><a href="http://scottsmill.com/pdf/SM Clubhouse Rental Guidelines 2016.pdf">Clubhouse Rental Guidelines</a></li>
			<li><a href="http://scottsmill.com/pdf/SM Clubhouse Rental Contract 2016.pdf">Rental Reservation Contract Form</a></li>
			<li><a href="http://scottsmill.com/pdf/SM Clubhouse Cleaning Checklist 2016.pdf">Rental Cleaning Checklist</a></li>
		</ul>
		<p>Questions or comments about the Clubhouse can be directed to <a href="mailto:clubhouse@scottsmill.com">clubhouse@scottsmill.com</a>.</p>
	</section>
